/*  static char SccsId[] = "@(#)sysfunc.c	1.6	10/5/95";
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
#include <system.h>
#include <v93.h>
#include <nt.h>
#include <farl.h>

extern unsigned short i3c6yuv_col[];
extern unsigned short i4c5yuv_col[];
extern unsigned short i5c4yuv_col[];
extern unsigned short i6c3yuv_col[];

void FX73init();
void FX73init_7M();


void
FX73_cmap_i3c6()
{
    write_pallet_datas(0, i3c6yuv_col, 512);
}

void
FX73_cmap_i4c5()
{
    write_pallet_datas(0, i4c5yuv_col, 512);
}

void
FX73_cmap_i5c4()
{
    write_pallet_datas(0, i5c4yuv_col, 512);
}

void
FX73_cmap_i6c3()
{
    write_pallet_datas(0, i6c3yuv_col, 512);
}

void
FX73_cmap_orig(x, y, z)	
unsigned short x;
unsigned short *y;
int z;
{
    write_pallet_datas(x, y, z);
}

void
FX73init()
{
	struct NT_PLO plo;
	struct NT_PRI pri;

	init_nt();
	init_rainbow();
	init_king();
	init_soundbox();
	init_70();
	pri.pri0 = 0x0176;
	pri.pri1 = 0x2345;
	set_nt_pri(&pri);
	plo.cpo0 = (128<<8);
	plo.cpo1 = plo.cpo2 = plo.cpo3 = 0;
	set_pallet_offset(&plo);
	set_nt_mode(line263 | mode_sp256 | mode_bg256);
	dispon(spr | bg);

}

void
FX73init_7M()
{
	struct NT_PLO plo;
	struct NT_PRI pri;
	init_nt();
	init_rainbow();
	init_king();
	init_soundbox();
	init_70();
	pri.pri0 = 0x0176;
	pri.pri1 = 0x2345;
	set_nt_pri(&pri);
	plo.cpo0 = (128<<8);
	plo.cpo1 = plo.cpo2 = plo.cpo3 = 0;
	set_pallet_offset(&plo);
	set_nt_mode(mode_7M | line263 | mode_sp256 | mode_bg256);
	dispon(spr | bg);

}

